Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Any_Array_Impl_T< T_slice, T_forany > Class Template Reference

Template Any class for array types. More...

`#include <Any_Array_Impl_T.h>`

Inheritance diagram for TAO::Any_Array_Impl_T< T_slice, T_forany >:

[legend]
Collaboration diagram for TAO::Any_Array_Impl_T< T_slice, T_forany >:

[legend]
List of all members.

## Public Methods
| Any_Array_Impl_T (_tao_destructor destructor, CORBA::TypeCode_ptr, T_slice *const)
virtual | ~Any_Array_Impl_T (void)
virtual CORBA::Boolean | marshal_value (TAO_OutputCDR &)
CORBA::Boolean | demarshal_value (TAO_InputCDR &)
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_WITH_DEFAULTS)
virtual const void * | value (void) const
virtual void | free_value (void)
## Static Public Methods
void | insert (CORBA::Any &, _tao_destructor destructor, CORBA::TypeCode_ptr, T_slice *const)
CORBA::Boolean | extract (const CORBA::Any &, _tao_destructor, CORBA::TypeCode_ptr, const T_slice *&)
## Private Attributes
T_slice * | value_

## Detailed Description

### template<typename T_slice, typename T_forany>
class TAO::Any_Array_Impl_T< T_slice, T_forany >

Template Any class for array types.

Used for arrays

## Constructor & Destructor Documentation

template<typename T_slice, typename T_forany>
TAO::Any_Array_Impl_T< T_slice, T_forany >::Any_Array_Impl_T | ( | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | T_slice * | const
| ) |

template<typename T_slice, typename T_forany>
TAO::Any_Array_Impl_T< T_slice, T_forany >::~Any_Array_Impl_T | ( | void |  | ) | `[virtual]`

## Member Function Documentation

template<typename T_slice, typename T_forany>
virtual void TAO::Any_Array_Impl_T< T_slice, T_forany >::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T_slice, typename T_forany>
ACE_INLINE CORBA::Boolean TAO::Any_Array_Impl_T< T_slice, T_forany >::demarshal_value | ( | TAO_InputCDR & |  | ) |

template<typename T_slice, typename T_forany>
CORBA::Boolean TAO::Any_Array_Impl_T< T_slice, T_forany >::extract | ( | const CORBA::Any & | ,
|  | _tao_destructor | ,
|  | CORBA::TypeCode_ptr | ,
|  | const T_slice *& |
| ) | `[static]`

template<typename T_slice, typename T_forany>
void TAO::Any_Array_Impl_T< T_slice, T_forany >::free_value | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO::Any_Impl.

template<typename T_slice, typename T_forany>
void TAO::Any_Array_Impl_T< T_slice, T_forany >::insert | ( | CORBA::Any & | ,
|  | _tao_destructor | destructor,
|  | CORBA::TypeCode_ptr | ,
|  | T_slice * | const
| ) | `[static]`

template<typename T_slice, typename T_forany>
ACE_INLINE CORBA::Boolean TAO::Any_Array_Impl_T< T_slice, T_forany >::marshal_value | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Implements TAO::Any_Impl.

template<typename T_slice, typename T_forany>
ACE_INLINE const void * TAO::Any_Array_Impl_T< T_slice, T_forany >::value | ( | void |  | ) | const`[virtual]`

| Reimplemented from TAO::Any_Impl.

## Member Data Documentation

template<typename T_slice, typename T_forany>
T_slice* TAO::Any_Array_Impl_T< T_slice, T_forany >::value_`[private]`

The documentation for this class was generated from the following files:

- Any_Array_Impl_T.h
- Any_Array_Impl_T.cpp
- Any_Array_Impl_T.inl